Bug 103843 - Xfree86 won't start in RH 9 but it does with RH 8.
Xfree86 won't start in RH 9 but it does with RH 8.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-05 11:46 EDT by Ryan Nix
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-13 20:53:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of Generic 1600x1200 LCD panel (60.33 KB, image/png)
2003-10-13 20:52 EDT, Brent Fox
no flags Details

  None (edit)
Description Ryan Nix 2003-09-05 11:46:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030827

Description of problem:
On my Dell C800 which is a PIII 800 ATI M4 video controller, I can't configure
Xfree86.

The installer seems to work fine, but the options from RH 8 to RH 9 have changed. 

In RH 8, I could select Dell 1600x Laptop Display Panel during install.  That
option has disappeared in RH 9.  As such, I can never get Xfree86 working at all
with RH 9.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go through regular install process with RH 9
2. Get to video configuration.  
3. The Dell 1600x Laptop Display Panel that is an option with Generic Monitor in
RH 8, no longer is an option in RH 9.
    

Actual Results:  Xfree86 can not start. Keeps getting fatal errors.  Same result
with new 9.093 beta too.

Expected Results:  Xfree86 should start

Additional info:
Comment 1 Mike A. Harris 2003-10-02 21:56:24 EDT
File new bug report against XFree86 for the X server failures, as we require
one bug per report.  Attach your X server log and config file to the XFree86
bug report, along with complete details, and cut and pasted error messages
that occur, etc.  If the box totally hard locks, disable DRI and see if that
makes a difference or not and indicate that in the report.  Also attach
/var/log/messages.  Attach all of those files as individual uncompressed text
files to bugzilla using the file attachment feature in your XFree86 bug report.

I do not have ATI Mobility laptop for testing however I have an ATI engineering
sample AGP card with a Mobility M4 on it.  The card never worked before for me
but I have 2 newer systems I can at least test it in now to try and reproduce
using a CRT monitor - although I have no LCD or flatpanel, so may not be able
to reproduce anything.  I may be able to try at least now.
Comment 2 Brent Fox 2003-10-13 20:51:18 EDT
The "Generic Laptop Dispaly Panel 1600x1200" that was available in RHL 8 is
still there in RHL 9.  I will attach a screenshot.
Comment 3 Brent Fox 2003-10-13 20:52:40 EDT
Created attachment 95144 [details]
screenshot of Generic 1600x1200 LCD panel

screenshot of Generic 1600x1200 LCD panel

Note You need to log in before you can comment on or make changes to this bug.